Package wx :: Package lib :: Module delayedresult :: Class SenderNoWx

[frames | no frames]

## Class SenderNoWx

    Sender --+
             |
            SenderNoWx

Sender that works without wx. The results are sent directly, ie the consumer will get them "in the worker thread". So it should only be used for testing.

Method Summary
| ``__init__`(self, consumer, jobID, args, kwargs)` The consumer can be any callable of the form callable(result, *args, **kwargs)

Method Details

### __init__(self, consumer, jobID=None, args=(), kwargs={})
(Constructor)

The consumer can be any callable of the form callable(result, *args, **kwargs)

  Overrides:
    `wx.lib.delayedresult.Sender.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:02 2007 | http://epydoc.sf.net